import 'package:flutter/material.dart';
import 'package:get/get.dart';
import '../../../core/constants/translation_keys.dart';
import '../../../custom_widgets/custom_app_bar.dart';
import '../../../custom_widgets/custom_button.dart';
import '../../../custom_widgets/custom_dialog.dart';
import '../../../res/app_colors.dart';
import '../controllers/cheque_activation_controller.dart';

class ChequeActivationView extends GetView<ChequeActivationController> {
  const ChequeActivationView({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: DashBoardAppBar(
        title: TranslationKeys.makeTranslation(TranslationKeys.textChequeBookActivation),
        onBackButtonPressed: () {
          Get.back();
        },
      ),
      persistentFooterButtons: [
        Padding(
          padding: const EdgeInsets.symmetric(horizontal: 20, vertical: 10),
          child: CustomButton(
            buttonColor: AppColors.colorPrimary,
            onPressed: () {
              CustomDialog.showSuccessDialog(
                  description: "Your cheque is activated, successfully!",
                  onTapPositive: () {
                    Navigator.of(context, rootNavigator: true).pop();
                    Get.back();
                  });
            },
            buttonText: TranslationKeys.makeTranslation(TranslationKeys.textContinue),
            buttonPadding: const EdgeInsets.symmetric(horizontal: 20, vertical: 10),
          ),
        ),
      ],
      body: Padding(
        padding: const EdgeInsets.symmetric(horizontal: 20, vertical: 20),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            Text(TranslationKeys.makeTranslation(TranslationKeys.textActivationContent), style: Theme.of(context).textTheme.bodyMedium?.copyWith(fontSize: 14, color: AppColors.colorText, fontWeight: FontWeight.w400)),
            const SizedBox(height: 20),
            Card(
              surfaceTintColor: Colors.white,
              elevation: 3.0,
              child: Container(
                decoration: BoxDecoration(borderRadius: const BorderRadius.all(Radius.circular(10)), border: Border.all(color: AppColors.colorGrey350)),
                child: Padding(
                  padding: const EdgeInsets.symmetric(horizontal: 10, vertical: 10),
                  child: Row(
                    mainAxisAlignment: MainAxisAlignment.spaceBetween,
                    // crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      Center(child: Text(TranslationKeys.makeTranslation(TranslationKeys.textAccount), style: Theme.of(context).textTheme.titleSmall)),
                      Column(
                        mainAxisAlignment: MainAxisAlignment.end,
                        crossAxisAlignment: CrossAxisAlignment.end,
                        children: [
                          Text(TranslationKeys.makeTranslation(TranslationKeys.textBillDetailCustomerName), style: Theme.of(context).textTheme.bodySmall),
                          const SizedBox(height: 5),
                          Text(TranslationKeys.makeTranslation(TranslationKeys.textAccountNumber), style: Theme.of(context).textTheme.bodySmall),
                        ],
                      ),
                    ],
                  ),
                ),
              ),
            ),
            const SizedBox(height: 20),
            Text(TranslationKeys.makeTranslation(TranslationKeys.textFirstLeaf), style: Theme.of(context).textTheme.bodySmall),
            Container(
              margin: const EdgeInsets.symmetric(horizontal: 0, vertical: 10),
              height: 40,
              padding: const EdgeInsets.symmetric(horizontal: 3.0),
              decoration: BoxDecoration(
                color: Colors.white,
                border: Border.all(color: Colors.grey),
                borderRadius: BorderRadius.circular(20.0),
              ),
              child: Row(
                crossAxisAlignment: CrossAxisAlignment.center,
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  Expanded(
                    child: TextField(
                      style: Theme.of(context).textTheme.bodySmall?.copyWith(fontWeight: FontWeight.w400, fontSize: 12),
                      decoration: InputDecoration(
                        enabledBorder: InputBorder.none,
                        border: InputBorder.none,
                        focusedBorder: InputBorder.none,
                        hintText: TranslationKeys.makeTranslation(TranslationKeys.textEnterChequeNumber),
                      ),
                      // onChanged: (value) => controller.filterList(value),
                    ),
                  ),
                ],
              ),
            ),
            const SizedBox(height: 20),
            Text(TranslationKeys.makeTranslation(TranslationKeys.textLastLeaf), style: Theme.of(context).textTheme.bodySmall),
            Container(
              margin: const EdgeInsets.symmetric(horizontal: 0, vertical: 10),
              height: 40,
              padding: const EdgeInsets.symmetric(horizontal: 3.0),
              decoration: BoxDecoration(
                color: Colors.white,
                border: Border.all(color: Colors.grey),
                borderRadius: BorderRadius.circular(20.0),
              ),
              child: Row(
                crossAxisAlignment: CrossAxisAlignment.center,
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  Expanded(
                    child: TextField(
                      style: Theme.of(context).textTheme.bodySmall?.copyWith(fontWeight: FontWeight.w400, fontSize: 12),
                      decoration: InputDecoration(
                        enabledBorder: InputBorder.none,
                        border: InputBorder.none,
                        focusedBorder: InputBorder.none,
                        hintText: TranslationKeys.makeTranslation(TranslationKeys.textEnterChequeNumber),
                      ),
                      // onChanged: (value) => controller.filterList(value),
                    ),
                  ),
                ],
              ),
            ),
          ],
        ),
      ),
    );
  }
}
